import { __module as i } from "./index-browser-index3.js";
import { __require as V } from "./index-window2.js";
import { __require as s } from "./index-vtt.js";
import { __require as a } from "./index-vttcue.js";
import { __require as m } from "./index-vttregion.js";
var o;
function g() {
  if (o) return i.exports;
  o = 1;
  var e = V(), r = i.exports = {
    WebVTT: s(),
    VTTCue: a(),
    VTTRegion: m()
  };
  e.vttjs = r, e.WebVTT = r.WebVTT;
  var T = r.VTTCue, t = r.VTTRegion, u = e.VTTCue, n = e.VTTRegion;
  return r.shim = function() {
    e.VTTCue = T, e.VTTRegion = t;
  }, r.restore = function() {
    e.VTTCue = u, e.VTTRegion = n;
  }, e.VTTCue || r.shim(), i.exports;
}
export {
  g as __require
};
